import { Service } from 'typedi';
import { Repository } from 'typeorm';
import { InjectRepository } from 'typeorm-typedi-extensions';
import { BaseService, WhereInput } from 'warthog';

import { VideoCategory } from './video-category.model';

@Service('VideoCategoryService')
export class VideoCategoryService extends BaseService<VideoCategory> {
  constructor(@InjectRepository(VideoCategory) protected readonly repository: Repository<VideoCategory>) {
    super(VideoCategory, repository);
  }

  async find<W extends WhereInput>(
    where?: any,
    orderBy?: string,
    limit?: number,
    offset?: number,
    fields?: string[]
  ): Promise<VideoCategory[]> {
    let f = fields;
    if (f == undefined) {
      f = [];
    }

    return super.find<W>(where, orderBy, limit, offset, f);
  }
}
